Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tools
Class ForwardingFileObject<F extends FileObject>

    java.lang.Object
      javax.tools.ForwardingFileObject<F>

Type Parameters:
  `F` - the kind of file object forwarded to by this object

All Implemented Interfaces:
  FileObject

Direct Known Subclasses:
  ForwardingJavaFileObject

    public class ForwardingFileObject<F extends FileObject>

extends Object
implements FileObject

Forwards calls to a given file object. Subclasses of this class might override some of these methods and might also provide additional fields and methods.

Since:
  1.6

Field Summary
`protected F` | `fileObject` The file object which all methods are delegated to.

Constructor Summary
`protected` | `ForwardingFileObject(F fileObject)` Creates a new instance of ForwardingFileObject.

Method Summary
`boolean` | `delete()` Deletes this file object.
`CharSequence` | `getCharContent(boolean ignoreEncodingErrors)` Gets the character content of this file object, if available.
`long` | `getLastModified()` Gets the time this file object was last modified.
`String` | `getName()` Gets a user-friendly name for this file object.
`InputStream` | `openInputStream()` Gets an InputStream for this file object.
`OutputStream` | `openOutputStream()` Gets an OutputStream for this file object.
`Reader` | `openReader(boolean ignoreEncodingErrors)` Gets a reader for this object.
`Writer` | `openWriter()` Gets a Writer for this file object.
`URI` | `toUri()` Returns a URI identifying this file object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fileObject

    protected final F extends FileObject fileObject

  The file object which all methods are delegated to.

Constructor Detail

### ForwardingFileObject

    protected ForwardingFileObject(F fileObject)

  Creates a new instance of ForwardingFileObject.

  Parameters:
    `fileObject` - delegate to this file object

Method Detail

### toUri

    public URI toUri()

  Description copied from interface: `FileObject`
  Returns a URI identifying this file object.

  Specified by:
    `toUri` in interface `FileObject`
  Returns:
    a URI

### getName

    public String getName()

  Description copied from interface: `FileObject`
  Gets a user-friendly name for this file object. The exact value returned is not specified but implementations should take care to preserve names as given by the user. For example, if the user writes the filename `"BobsApp\Test.java"` on the command line, this method should return `"BobsApp\Test.java"` whereas the toUri method might return `file:///C:/Documents%20and%20Settings/UncleBob/BobsApp/Test.java`.

  Specified by:
    `getName` in interface `FileObject`
  Returns:
    a user-friendly name

### openInputStream

    public InputStream openInputStream()
                                throws IOException

  Description copied from interface: `FileObject`
  Gets an InputStream for this file object.

  Specified by:
    `openInputStream` in interface `FileObject`
  Returns:
    an InputStream
  Throws:
    `IllegalStateException` - if this file object was opened for writing and does not support reading
    `UnsupportedOperationException` - if this kind of file object does not support byte access
    `IOException` - if an I/O error occurred

### openOutputStream

    public OutputStream openOutputStream()
                                  throws IOException

  Description copied from interface: `FileObject`
  Gets an OutputStream for this file object.

  Specified by:
    `openOutputStream` in interface `FileObject`
  Returns:
    an OutputStream
  Throws:
    `IllegalStateException` - if this file object was opened for reading and does not support writing
    `UnsupportedOperationException` - if this kind of file object does not support byte access
    `IOException` - if an I/O error occurred

### openReader

    public Reader openReader(boolean ignoreEncodingErrors)
                      throws IOException

  Description copied from interface: `FileObject`
  Gets a reader for this object. The returned reader will replace bytes that cannot be decoded with the default translation character. In addition, the reader may report a diagnostic unless `ignoreEncodingErrors` is true.

  Specified by:
    `openReader` in interface `FileObject`
  Parameters:
    `ignoreEncodingErrors` - ignore encoding errors if true
  Returns:
    a Reader
  Throws:
    `IllegalStateException` - if this file object was opened for writing and does not support reading
    `UnsupportedOperationException` - if this kind of file object does not support character access
    `IOException` - if an I/O error occurred

### getCharContent

    public CharSequence getCharContent(boolean ignoreEncodingErrors)
                                throws IOException

  Description copied from interface: `FileObject`
  Gets the character content of this file object, if available. Any byte that cannot be decoded will be replaced by the default translation character. In addition, a diagnostic may be reported unless `ignoreEncodingErrors` is true.

  Specified by:
    `getCharContent` in interface `FileObject`
  Parameters:
    `ignoreEncodingErrors` - ignore encoding errors if true
  Returns:
    a CharSequence if available; `null` otherwise
  Throws:
    `IllegalStateException` - if this file object was opened for writing and does not support reading
    `UnsupportedOperationException` - if this kind of file object does not support character access
    `IOException` - if an I/O error occurred

### openWriter

    public Writer openWriter()
                      throws IOException

  Description copied from interface: `FileObject`
  Gets a Writer for this file object.

  Specified by:
    `openWriter` in interface `FileObject`
  Returns:
    a Writer
  Throws:
    `IllegalStateException` - if this file object was opened for reading and does not support writing
    `UnsupportedOperationException` - if this kind of file object does not support character access
    `IOException` - if an I/O error occurred

### getLastModified

    public long getLastModified()

  Description copied from interface: `FileObject`
  Gets the time this file object was last modified. The time is measured in milliseconds since the epoch (00:00:00 GMT, January 1, 1970).

  Specified by:
    `getLastModified` in interface `FileObject`
  Returns:
    the time this file object was last modified; or 0 if the file object does not exist, if an I/O error occurred, or if the operation is not supported

### delete

    public boolean delete()

  Description copied from interface: `FileObject`
  Deletes this file object. In case of errors, returns false.

  Specified by:
    `delete` in interface `FileObject`
  Returns:
    true if and only if this file object is successfully deleted; false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.